Omnivory {cheddar} | R Documentation

## Omnivory

### Description

Nodes that consume themselves in the food web.

### Usage

    IsOmnivore(community, level=PreyAveragedTrophicLevel)
    Omnivores(community, ...)
    FractionOmnivorous(community, ...)
    Omnivory(community, ...)

### Arguments

`community` | an object of class `Community`.
`level` | a function that returns the trophic level of each node in `community`.
`...` | other values to `IsOmnivore`.

### Details

Omnivores are those nodes that consume two or more species and have a non-integer trophic level (Polis 1991). `IsOmnivore` returns a vector of `logical` of length `NumberOfNodes`; values are `TRUE` for nodes that are omnivorous. `Omnivores` returns the names of nodes for which `IsOmnivore` returns `TRUE`. `FractionOmnivorous` and `Omnivory` both return the proportion of nodes for which `IsOmnivore` returns `TRUE`.

Many researchers have used chain-averaged trophic level when computing omnivory (Polis, 1991; Bersier et al 2002). Computing chain-averaged trophic level requires enumerating every unique food chain - this can be lengthy for complex food webs so the default function used by `IsOmnivore` is `PreyAveragedTrophicLevel`. Omnivory values obtained using these two methods might differ slightly.

### Value

Either a `logical` vector of length `NumberOfNodes` or a vector of names.

### Author(s)

Lawrence Hudson

### References

Polis, G. A. (1991) Complex desert food webs: an empirical critique of food web theory. American Naturalist `138`, 123–155.

Bersier, L. and Banasek-Richter, C. and Cattin, M. (2002) Ecology 80 2394–2407.

### See Also

`NumberOfNodes`, `PreyAveragedTrophicLevel`, `ChainAveragedTrophicLevel`

### Examples

    data(TL84)

    IsOmnivore(TL84)
    Omnivores(TL84)
    Omnivory(TL84)

    # Omnivory values found using PreyAveragedTrophicLevel and
    # ChainAveragedTrophicLevel differ for ChesapeakeBay
    data(ChesapeakeBay)
    Omnivory(ChesapeakeBay)
    Omnivory(ChesapeakeBay, level=ChainAveragedTrophicLevel)

[Package cheddar version 0.1-633 Index]